export interface PublicService {
    endpoint: URL;
    rateLimiter?: RateLimiter;
}
/**
 * RateLimiter returns a promise that resolves when it is safe to send a request
 * that does not exceed the rate limit.
 */
export interface RateLimiter {
    (): Promise<void>;
}
export default class W3NameService implements PublicService {
    endpoint: URL;
    waitForRateLimit: RateLimiter;
    constructor(endpoint?: URL, waitForRateLimit?: RateLimiter);
}
//# sourceMappingURL=service.d.ts.map