import throttledQueue from 'throttled-queue';
const RATE_LIMIT_REQUESTS = 30;
const RATE_LIMIT_PERIOD = 10 * 1000;
function createRateLimiter() {
    const throttle = throttledQueue(RATE_LIMIT_REQUESTS, RATE_LIMIT_PERIOD);
    return async () => await throttle(() => { });
}
export default class W3NameService {
    constructor(endpoint = new URL('https://name.web3.storage/'), waitForRateLimit = createRateLimiter()) {
        this.endpoint = endpoint;
        this.waitForRateLimit = waitForRateLimit;
    }
}
//# sourceMappingURL=service.js.map